# Class SequentialIdentifier

#### Hierarchy

- Run
  - SequentialIdentifier

- Defined in src/file/paragraph/run/sequential-identifier.ts:5

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new SequentialIdentifier(identifier): SequentialIdentifier

- #### Parameters

  - ##### identifier: string

  #### Returns SequentialIdentifier

  Overrides Run.constructor

  - Defined in src/file/paragraph/run/sequential-identifier.ts:6

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from Run.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from Run.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc